Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.genetic.genes
Class IntegerGene

    java.lang.Object
      org.encog.ml.genetic.genes.BasicGene
          org.encog.ml.genetic.genes.IntegerGene

All Implemented Interfaces:
  Serializable, Comparable<Gene>, Gene

    public class IntegerGene

extends BasicGene

A gene that contains an integer value.

See Also:
  Serialized Form

Constructor Summary
`IntegerGene()`

Method Summary
`void` | `copy(Gene gene)` Copy another gene to this one.
`boolean` | `equals(Object obj)`
`int` | `getValue()`
`int` | `hashCode()`
`void` | `setValue(int theValue)` Set the value of this gene.
`String` | `toString()`

Methods inherited from class org.encog.ml.genetic.genes.BasicGene
`compareTo, getId, getInnovationId, isEnabled, setEnabled, setId, setInnovationId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerGene

    public IntegerGene()

Method Detail

### copy

    public final void copy(Gene gene)

  Copy another gene to this one.

  Parameters:
    `gene` - The other gene to copy.

### equals

    public final boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getValue

    public final int getValue()

  Returns:
    The value of this gene.

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code.

### setValue

    public final void setValue(int theValue)

  Set the value of this gene.

  Parameters:
    `theValue` - The value of this gene.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.